Bug 891237

Summary: nodejs-slide - A flow control library that fits in a slideshow
Product: [Fedora] Fedora Reporter: T.C. Hollingsworth <tchollingsworth>
Component: Package ReviewAssignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mhroncok, notting, package-review
Target Milestone: ---Flags: mhroncok: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-13 07:02:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 891171, 891215, 891224, 891226, 894724    

Description T.C. Hollingsworth 2013-01-02 04:23:24 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-slide.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-slide-1.1.3-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831118
FAS username: patches

Provides simple, easy callbacks for node.js.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 Miro Hrončok 2013-01-09 06:08:00 EST
Description and Summary are OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint ../SRPMS/nodejs-slide-1.1.3-3.fc18.src.rpm ../RPMS/noarch/nodejs-slide-1.1.3-3.fc18.noarch.rpm
nodejs-slide.src: W: spelling-error Summary(en_US) slideshow -> sideshow, slide show, slide-show
nodejs-slide.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-slide.src: W: no-%build-section
nodejs-slide.noarch: W: spelling-error Summary(en_US) slideshow -> sideshow, slide show, slide-show
nodejs-slide.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-slide.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

FIX: Add an empty %build section
Other issues are false positive.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
MUST: The License field in the package spec file must match the actual license.

There is no license statement in the tarball. However I can see it on GitHub
https://raw.github.com/isaacs/slide-flow-control/master/LICENSE

FIX: Add statement about the LICENSE in future release (as you did in nodejs-promzard)

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git.

$ sha256sum ../SOURCES/slide-1.1.3.tgz 
80c07458031e72640a5cf0abe8825e8c33ef00a0326217ae7c1c59494ee96e04  ../SOURCES/slide-1.1.3.tgz
$ wget -q http://registry.npmjs.org/slide/-/slide-1.1.3.tgz
$ sha256sum slide-1.1.3.tgz 
80c07458031e72640a5cf0abe8825e8c33ef00a0326217ae7c1c59494ee96e04  slide-1.1.3.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, builds in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-slide-1.1.3-3.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led  9 11:46 /usr/lib/node_modules/slide
drwxr-xr-x    2 root    root                        0 led  9 11:46 /usr/lib/node_modules/slide/lib
-rw-r--r--    1 root    root                     1729 čec 27  2011 /usr/lib/node_modules/slide/lib/async-map-ordered.js
-rw-r--r--    1 root    root                     1496 čec 27  2011 /usr/lib/node_modules/slide/lib/async-map.js
-rw-r--r--    1 root    root                      382 čec 27  2011 /usr/lib/node_modules/slide/lib/bind-actor.js
-rw-r--r--    1 root    root                      660 čec 27  2011 /usr/lib/node_modules/slide/lib/chain.js
-rw-r--r--    1 root    root                      121 čec 27  2011 /usr/lib/node_modules/slide/lib/slide.js
drwxr-xr-x    2 root    root                        0 led  9 11:46 /usr/lib/node_modules/slide/node_modules
-rw-r--r--    1 root    root                      520 čec 27  2011 /usr/lib/node_modules/slide/package.json
drwxr-xr-x    2 root    root                        0 led  9 11:46 /usr/share/doc/nodejs-slide-1.1.3
-rw-r--r--    1 root    root                      733 čec 27  2011 /usr/share/doc/nodejs-slide-1.1.3/README.md
-rw-r--r--    1 root    root                   167502 čec 27  2011 /usr/share/doc/nodejs-slide-1.1.3/nodejs-controlling-flow.pdf

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. OK
SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Please fix the FIX items and consider fixing TODOs.

Resolution: NEEDSWORK.
Comment 2 Miro Hrončok 2013-01-09 06:10:32 EST
Actually, there are no TODOs you should consider to fix, only FIXes, sorry for that.
Comment 3 T.C. Hollingsworth 2013-01-09 14:35:49 EST
Thanks!  I'm going to update all my active reviews soon (hopefully this afternoon) with %build sections and other various sundry fixes.  Everything that has already passed review will have %build sections when they go into dist-git as well.
Comment 4 Miro Hrončok 2013-01-10 06:00:30 EST
Reading spec only, as you didn't provide new links.

All FIXes fixed.

Package approved.
Comment 5 T.C. Hollingsworth 2013-01-10 14:43:29 EST
Sorry, must have missed this bug when I was updating them yesterday.

For the record, the updated version is at:
Spec: http://patches.fedorapeople.org/npm/nodejs-slide.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-slide-1.1.3-4.fc17.src.rpm

Thanks for the review!
Comment 6 T.C. Hollingsworth 2013-01-10 14:47:14 EST
New Package SCM Request
=======================
Package Name: nodejs-slide
Short Description: A flow control library that fits in a slideshow
Owners: patches
Branches: f18 el6
InitialCC:
Comment 7 Miro Hrončok 2013-01-10 14:49:16 EST
(In reply to comment #5)
> Thanks for the review!

No problem, if you are bored waiting for reviews, take one of mine: https://fedoraproject.org/wiki/Features/3D_Printing#Dependencies

Thanks
Comment 8 T.C. Hollingsworth 2013-01-10 14:51:02 EST
(In reply to comment #7)
> No problem, if you are bored waiting for reviews, take one of mine:
> https://fedoraproject.org/wiki/Features/3D_Printing#Dependencies

I intend to take several of yours when I get a chance.  :-)
Comment 9 Jon Ciesla 2013-01-10 15:01:13 EST
Git done (by process-git-requests).
Comment 10 T.C. Hollingsworth 2013-01-13 07:02:08 EST
Built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4864335
Comment 11 Fedora Update System 2013-01-18 05:57:36 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18
Comment 12 Fedora Update System 2013-04-05 19:12:01 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.